#macro DensityProfile ( VTranslate, VScale) 
density{
  
  density_file df3 "Sample/sample161.df3"

  interpolate 1
  frequency 0

  scale VScale 
  translate VTranslate 

  color_map {
    [0.0 rgb <0.0, 0.0, 0.0>]
    [0.2 rgb <0.0, 0.0, 0.2>]
    [0.5 rgb <0.0, 0.5, 0.5>]
    [1.0 rgb <1.0, 1.0, 1.0>] 
  
  }  
}
#end

camera {
  location <3, 3, 3>
  sky      <0, 0, 1>
  look_at  <0, 0, 0>
  angle    45
}


light_source{ 
  <2, 3, 5>
  color rgb 3.5 * <1, 1, 1>
  parallel
  point_at <0, 0, 0>
}

box { <-0.99, -0.99, -0.99> <0.99, 0.99, 0.99>
  hollow
  pigment {rgbt <1,1,1,0.95>}
  interior {
    media {
      DensityProfile (<-1, -1, -1>, <2, 2, 2>)
      
      intervals 4         
      samples 16,16        
      method 3
      
      //absorption rgb 1.0 * <1, 1, 1>
      emission rgb 32.0 * <1, 1, 1>
      //scattering { 1, rgb <1, 1, 1> }                
    }
  }
}